IConstraint

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IConstraint

    com.change_vision.jude.api.inf.model.IConstraint

All Implemented Interfaces:
  IElement, IHyperlinkOwner, INamedElement

public IConstraint
extends INamedElement

Interface for Constraint.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract IElement[]` | `getConstrainedElement()` Get the constrained elements.
`abstract String` | `getSpecification()` Get Specification.
`abstract void` | `setSpecification(String specification)` Set Specification.

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getConstraints, getDefinition, getDiagrams, getName, getSupplierDependencies, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getId, getOwner, getStereotypes, getTaggedValues, getTypeModifier, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getConstrainedElement

    public abstract IElement[] getConstrainedElement()

  Get the constrained elements.

  Returns:
    the array of elements. Return the empty array if there is none.

### getSpecification

    public abstract String getSpecification()

  Get Specification.

  Returns:
    Specification Contents

### setSpecification

    public abstract void setSpecification(String specification)

  Set Specification.

  Parameters:
    `specification` - Specification Contents
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD